Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5705 - Upgrade from 6.0 to 6.1 fails at/while finding old packages to update (non-NTFS error)
Summary: Upgrade from 6.0 to 6.1 fails at/while finding old packages to update (non-NT...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-08 02:00 UTC by dw
Modified: 2015-01-07 23:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-02 18:35:25 UTC


Attachments (Terms of Use)

Description dw 1999-10-08 02:00:19 UTC
Background:
I am upgrading a 6.0 installation with root on hda3.
Partitions hda1 and hda2 are both fat 16 partitions with NT
and 95 respectively.

The installer is failing at the same point as the NTFS bug,
but I do not have NTFS on my system.  I am able to get some
debugging output when I run the installer in text mode
which reads as follows.

../../../Redhat/instimage/usr/lib/python1.5/site-
packages/todo.py(1155)upgradeFindPackages()--
>packages=rpm.findUpgradeSet

The installer then gives the option to run the pyhton
debugger.

Comment 1 Jay Turner 1999-10-21 14:22:59 UTC
Send me a copy of your fstab, as I have a feeling that I know what the
problem is.  In your fstab, if you have mount options on system
partitions which are not just "defaults" those partitions will not get
mounted and therefore you will get the errors you describe below.  So,
put in other words, if you have anything other than "defaults" for
mount options on partitions which are needed to run linux (/, /boot,
/usr, /var, etc) then you will see this problem)

Comment 2 Jay Turner 1999-12-02 18:35:59 UTC
Sorry that I did not get back to this sooner, but this is not a normal aspect of
upgrading Red Hat.  This was a complete bug on our parts and it is fixed in the
latest errata on out support website.  Please reopen if you are still having
problems getting your system upgraded.


Note You need to log in before you can comment on or make changes to this bug.